Get the app to ++, post and comment
  • Biggest annoyance of your fav language?
    Week 30 Group Rant
  • 60

    There are two main versions of Python.

    When you want to have it work with both of them, things can get really ugly. :(

  • 5
    When i program with python, i dont care about python2.
  • 5
    @stop Me too. I don't care about python 3. ;)
  • 2
    Yupp, can be a bitxh to make sure it works in both versions. I prefer Python 3, so I don't cae anymore.
  • 2
    This so much.. to make matters worse a sublime extension needs to be written in py2 for ST2 and py3 fit ST3.
  • 1
    2020 is soon upon us. Repent until it is too late.
  • 0
    I always code with six to fix this
  • 0
    Yup. Started a project and had to use 2.7.
    My teammate used 3.5 and it was AWFUL integrating it!
  • 2
    I feel the same way. I've devoted a whole chapter in my book about Py2 vs Py3 to help prevent the inevitable "Does this work with Python 2?" questions. I'm this close to deleting all of it and replacing it with a big "NO" meme. The divide between the two is crazy. I wish we all used 3. :\
Add Comment